Bug 1484039 - sealert -l ... complains about undefined symbol bswap_32 in _qpol.cpython
Summary: sealert -l ... complains about undefined symbol bswap_32 in _qpol.cpython
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setools
Version: 26
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-22 13:53 UTC by Milos Malik
Modified: 2017-09-06 14:53 UTC (History)
7 users (show)

Fixed In Version: setools-4.1.0-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-06 14:53:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Milos Malik 2017-08-22 13:53:31 UTC
Description of problem:
* https://github.com/TresysTechnology/setools/pull/172

Version-Release number of selected component (if applicable):
setroubleshoot-server-3.3.12-1.fc26
setroubleshoot-plugins-3.3.7-1.fc26
setools-python3-4.1.0-3.fc26
setools-python-4.1.0-3.fc26

How reproducible:
* always

Steps to Reproduce:
# sealert -l '*' > alerts-before.txt
Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/setools/policyrep/qpol.py", line 14, in swig_import_helper
    return importlib.import_module(mname)
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 978, in _gcd_import
  File "<frozen importlib._bootstrap>", line 961, in _find_and_load
  File "<frozen importlib._bootstrap>", line 950, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 648, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 560, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 922, in create_module
  File "<frozen importlib._bootstrap>", line 205, in _call_with_frames_removed
ImportError: /usr/lib64/python3.6/site-packages/setools/policyrep/_qpol.cpython-36m-ppc64-linux-gnu.so: undefined symbol: bswap_32

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/sealert", line 56, in <module>
    from setroubleshoot.util import get_identity, load_plugins, log_init, log_debug
  File "/usr/lib/python3.6/site-packages/setroubleshoot/util.py", line 324, in <module>
    from sepolicy import get_all_file_types
  File "/usr/lib/python3.6/site-packages/sepolicy/__init__.py", line 8, in <module>
    import setools
  File "/usr/lib64/python3.6/site-packages/setools/__init__.py", line 31, in <module>
    from . import policyrep
  File "/usr/lib64/python3.6/site-packages/setools/policyrep/__init__.py", line 26, in <module>
    from .bounds import BoundsRuletype
  File "/usr/lib64/python3.6/site-packages/setools/policyrep/bounds.py", line 22, in <module>
    from .qpol import qpol_typebounds_t
  File "/usr/lib64/python3.6/site-packages/setools/policyrep/qpol.py", line 17, in <module>
    _qpol = swig_import_helper()
  File "/usr/lib64/python3.6/site-packages/setools/policyrep/qpol.py", line 16, in swig_import_helper
    return importlib.import_module('_qpol')
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ModuleNotFoundError: No module named '_qpol'

Actual results:
* 2 tracebacks

Expected results:
* no tracebacks

Comment 2 Fedora Update System 2017-09-04 08:58:06 UTC
setools-4.1.0-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5869cf6a4f

Comment 3 Fedora Update System 2017-09-04 22:50:23 UTC
setools-4.1.0-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5869cf6a4f

Comment 4 Fedora Update System 2017-09-06 14:53:02 UTC
setools-4.1.0-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.